libnvme(2)

NAME
enum nvme_st_curr_op - Current Device Self-Test Operation

SYNOPSIS
enum nvme_st_curr_op {
NVME_ST_CURR_OP_NOT_RUNNING ,
NVME_ST_CURR_OP_SHORT ,
NVME_ST_CURR_OP_EXTENDED ,
NVME_ST_CURR_OP_VS ,
NVME_ST_CURR_OP_RESERVED ,
NVME_ST_CURR_OP_MASK ,
NVME_ST_CURR_OP_CMPL_MASK

};

Constants

NVME_ST_CURR_OP_NOT_RUNNING
    No device self-test operation in progress.

NVME_ST_CURR_OP_SHORT
    Short device self-test operation in progress.

NVME_ST_CURR_OP_EXTENDED
    Extended device self-test operation in progress.

NVME_ST_CURR_OP_VS
    Vendor specific.

NVME_ST_CURR_OP_RESERVED
    Reserved.

NVME_ST_CURR_OP_MASK
    Mask to get the current operation value from the struct nvme_self_test_log.current_operation field.

NVME_ST_CURR_OP_CMPL_MASK
    Mask to get the current operation completion value from the struct nvme_self_test_log.completion field.